package com.kingdee.eas.custom.compensation.startingsalary;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SalaryConfirmationCollection extends AbstractObjectCollection 
{
    public SalaryConfirmationCollection()
    {
        super(SalaryConfirmationInfo.class);
    }
    public boolean add(SalaryConfirmationInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SalaryConfirmationCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SalaryConfirmationInfo item)
    {
        return removeObject(item);
    }
    public SalaryConfirmationInfo get(int index)
    {
        return(SalaryConfirmationInfo)getObject(index);
    }
    public SalaryConfirmationInfo get(Object key)
    {
        return(SalaryConfirmationInfo)getObject(key);
    }
    public void set(int index, SalaryConfirmationInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SalaryConfirmationInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SalaryConfirmationInfo item)
    {
        return super.indexOf(item);
    }
}